Skip to main content
GET
/
vaults
/
{vault_id}
/
credentials
python
from notte_sdk import NotteClient

notte = NotteClient()
# retrieve an existing vault
vault = notte.Vault("<vault_id>")
creds = vault.get_credentials(
    url="https://www.google.com"
)
if creds is None:
    raise ValueError()
print(creds.get("email"), creds["password"])
{
  "credentials": {
    "password": "<string>",
    "email": "<string>",
    "username": "<string>",
    "mfa_secret": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://notte-experiment-visibility-md-links.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Path Parameters

vault_id
string
required

Query Parameters

url
string
required

URL upon which to get credentials

Response

Successful Response

credentials
CredentialsDict · object
required

Retrieved credentials